> # NAME

> cgCreateTechniqueAnnotation - create a technique annotation

> # SYNOPSIS

>       #include <Cg/cg.h>

>       CGannotation cgCreateTechniqueAnnotation( CGtechnique tech,
>                                                 const char * name,
>                                                 CGtype type );

> # PARAMETERS

> tech

>   The technique to which the new annotation will be added.

> name

>   The name of the new annotation.

> type

>   The type of the new annotation.

> # RETURN VALUES

> Returns the new CGannotation handle on success.

> Returns NULL if an error occurs.

> # DESCRIPTION

> cgCreateTechniqueAnnotation adds a new annotation to the technique.

> # EXAMPLES

>       /* create a float annotation named "Apple" for CGtechnique technique */
>       CGannotation ann = cgCreateTechniqueAnnotation( tech, "Apple", CG_FLOAT );

> # ERRORS

> CG_INVALID_TECHNIQUE_HANDLE_ERROR is generated if tech is not a valid technique.

> CG_DUPLICATE_NAME_ERROR is generated if name is already used by an annotation for this technique.

> CG_INVALID_ENUMERANT_ERROR is generated if type is not CG_INT, CG_FLOAT, CG_BOOL, or CG_STRING.

> # HISTORY

> cgCreateTechniqueAnnotation was introduced in Cg 1.5.

> # SEE ALSO

> cgGetNamedTechniqueAnnotation, cgGetFirstTechniqueAnnotation, cgGetNextAnnotation